<template>
  <svg xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 500 500"
    :width="width"
    :height="height"
    role="presentation"
  >
    <title
      id="anonymous-user"
      lang="en"
    ><!-- eslint-disable-line -->
      Anonymous user
    </title>
    <!-- User 'head' -->
    <circle cx="250" cy="190" r="110" :stroke="GLOBALS.__THEME_SECONDARY_COLOR__" stroke-width="20" fill="transparent"/>
    <!-- User 'body' -->
    <circle cx="250" cy="500" r="200" :stroke="GLOBALS.__THEME_SECONDARY_COLOR__" stroke-width="20" fill="transparent"/>
  </svg>
</template>

<script>
export default {
  name: 'AnonymousThumbnail',
  props: {
    // Width
    width: {
      type: [String, Number],
      default: 250
    },
    // Height
    height: {
      type: [String, Number],
      default: 250
    }
  }
}
</script>
